{{- if $.Values.monitoringEnabled }}
apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: monitoring-grafana-prometheus-stack
  namespace: argocd
  finalizers:
   - resources-finalizer.argocd.argoproj.io
spec:
  project: default
  syncPolicy:
    automated:
      selfHeal: true
      prune: true
  destination:
    server: https://kubernetes.default.svc
    namespace: prom
  source:
    chart: kube-prometheus-stack
    repoURL: https://prometheus-community.github.io/helm-charts
    targetRevision: 19.3.0

---
{{- end }}